package vehicle;


public interface Vehicle {
	
	public enum VOrigin {
		EAST, WEST,
	}
	
	/**
	 * Returns the weight of the vehicle
	 * 
	 * @return Weight of the vehicle
	 */
	public Double getWeight();
	
	/**
	 * Returns the origin of the vehicle. (EAST or WEST)
	 * 
	 * @return Origin of vehicle
	 */
	public VOrigin getOrigin();
	
	/**
	 * Returns whether or not the vehicle is a lowrider.
	 * 
	 * @return true if vehicle is a lowrider.
	 */
	public boolean isLowrider();
	
	/**
	 * Returns the unique number of the vehicle. Should only
	 * be used for debugging.
	 * 
	 * @return Unique number of vehicle
	 */
	public long getVehicleId();
	
	
	/**
	 * Sets the message which will appear whenever you click
	 * on the vehicle. Should only be used for debugging.
	 * 
	 * @param msg New Message
	 */
	public void setMessage(String msg);
	
}
